using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace WindowsApplication24
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        ImageList images = new ImageList();
        private void Form1_Load(object sender, EventArgs e)
        {

            //get some images....
            images.Images.Add(SystemIcons.Application.ToBitmap());
            images.Images.Add(SystemIcons.Asterisk.ToBitmap());
            images.Images.Add(SystemIcons.Question.ToBitmap());
            images.Images.Add(SystemIcons.WinLogo.ToBitmap());
            images.Images.Add(SystemIcons.Warning.ToBitmap());


            #region Get the DataSource
            DataTable dt = new DataTable("MyTable");

            int nCols = 4;
            int nRows = 20;
            Random r = new Random(123345345);

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i), typeof(int)));
            dt.Columns.Add(new DataColumn("checkColumn", typeof(bool)));

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                {
                    if (j == 0)
                        dr[j] = r.Next(images.Images.Count);
                    else
                        dr[j] = r.Next(10);
                }
                dr["checkColumn"] = (i % 3) == 1;
                dt.Rows.Add(dr);
            }
            #endregion

            this.gridGroupingControl1.DataSource = dt;

           
            //handle this event to draw the image you want to see
            //this sample uses Col0 as the image index and puts the image in Col2.
            this.gridGroupingControl1.TableControl.CellDrawn += new GridDrawCellEventHandler(TableControl_CellDrawn);

            //reserve some space on right side of Col2 for image
            this.gridGroupingControl1.TableDescriptor.Columns["Col2"].Appearance.AnyCell.TextMargins.Right = images.ImageSize.Width + 2;

        }

        void TableControl_CellDrawn(object sender, GridDrawCellEventArgs e)
        {
            GridTableCellStyleInfo style = e.Style as GridTableCellStyleInfo;
            if (style.TableCellIdentity.Column != null
               && style.TableCellIdentity.Column.Name == "Col2"
               && style.TableCellIdentity.DisplayElement.GetRecord() is GridRecord)
            {
                GridRecord rec = style.TableCellIdentity.DisplayElement.GetRecord() as GridRecord;
                object o = rec.GetValue("Col0");
                if (o != null && o != DBNull.Value)
                {
                    
                    Image im  = images.Images[(int)o];
                    Rectangle rect = e.Bounds;
                    rect.X = rect.Right - images.ImageSize.Width;
                    rect.Width = images.ImageSize.Width;
                    e.Graphics.DrawImage(im, rect);
                }
            }
        }

       
        

       
    }
}